<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.2//EN" "http://jakarta.apache.org/struts/dtds/struts-config_1_2.dtd">

<struts-config>

  <!-- ========== Data Sources Definitions =================================== -->
  <!--
    Define your Struts data sources in a file called struts-data-sources.xml and place
    it in your merge directory.
  -->

  <!-- ========== Form Bean Definitions =================================== -->
 <form-beans>   
    <!--
         If you have non XDoclet forms, define them in a file called struts-forms.xml and
         place it in your merge directory.
    -->
    <form-bean
      name="articleForm"
      type="cn.com.xunuo.webapp.form.ArticleForm"
    />
    <form-bean
      name="plateForm"
      type="cn.com.xunuo.webapp.form.PlateForm"
    />
    <form-bean
      name="browserForm"
      type="cn.com.xunuo.webapp.form.BrowserForm"
    />
  </form-beans>
  <!-- ========== Action Mapping Definitions =================================== -->
   <action-mappings>
   <!-- user actions -->
    <action
      path="/news/search"
      type="cn.com.xunuo.webapp.action.ArticleForntAction"
	  name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="error"
        path="/error.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/news/search.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/news/viewArticle"
      type="cn.com.xunuo.webapp.action.ArticleForntAction"
	  name="articleForm"
      scope="request"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="error"
        path="/nofilter/error.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/nofilter/detail.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/news/column"
      type="cn.com.xunuo.webapp.action.PlateForntAction"
	  name="plateForm"
      scope="request"
	  input="error"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="error"
        path="/error.jsp"
        redirect="false"
      />
	  <forward
        name="success"
        path="/news/column.jsp"
        redirect="false"
      />
    </action>
    <action
      path="/browser/browser"
      type="cn.com.xunuo.webapp.action.BrowserForntAction"
	  name="browserForm"
      scope="request"
	  input="error"
      parameter="method"
      unknown="false"
      validate="false"
    >
	<forward
        name="error"
        path="/error.jsp"
        redirect="false"
      />
	<forward
        name="noLevel"
        path="/news/noLevel.jsp"
        redirect="false"
      />
	  
	  <forward
        name="success"
        path="/news/browser.jsp"
        redirect="false"
      />
    </action>
<!-- Table1 end-->
    <!-- Forward to page to sys main.jsp -->
    <action path="/sys/main" type="org.apache.struts.actions.ForwardAction"
        parameter="/sys/main.jsp"/>

  </action-mappings>
</struts-config>